
Infrastructure - Task #646

Story # 825 (Closed): CN codebase  will need to be updated for 0.5 schema release

org.dataone.service.types not fully serializable

2010-06-10 23:25 - Robert Waltz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

need to have schemas associated with them. A couple classes need to have schemas associated with them - the log messages will

be blown away.

- Need to check exactly which classes need to have schemas

AuthToken, DescribeResponse, HeartbeatResponse, IdentifierFormat,  ObjectLocation, ObjectLocationList  are not handled by jibx

LogRecord, LogRecordSet were superceded by Log and LogEntry in the schema and specification. Uncertain of the need for

serialization of the other classes. If we need them serialized, then we should create schemas for them.

History

#1 - 2010-10-06 23:51 - Robert Waltz

- Parent task set to #825

- Milestone set to CCI-0.6

#2 - 2010-10-07 21:42 - Robert Waltz

- Milestone changed from CCI-0.6 to CCI-0.5

#3 - 2010-10-21 22:41 - Robert Waltz

- Status changed from New to In Progress

#4 - 2010-10-22 02:17 - Robert Waltz

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Powered by TCPDF (www.tcpdf.org)

2024-04-27 1/1

https://redmine.dataone.org/projects/d1/wiki/AuthToken
https://redmine.dataone.org/projects/d1/wiki/DescribeResponse
https://redmine.dataone.org/projects/d1/wiki/HeartbeatResponse
https://redmine.dataone.org/projects/d1/wiki/IdentifierFormat
https://redmine.dataone.org/projects/d1/wiki/ObjectLocation
https://redmine.dataone.org/projects/d1/wiki/ObjectLocationList
https://redmine.dataone.org/projects/d1/wiki/LogRecord
https://redmine.dataone.org/projects/d1/wiki/LogRecordSet
https://redmine.dataone.org/projects/d1/wiki/LogEntry
http://www.tcpdf.org

